ros-humble-ament-cmake-nose (1.3.8-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 16 Feb 2024 06:00:00 -0000

ros-humble-ament-cmake-nose (1.3.7-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-humble-ament-cmake-nose (1.3.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Nov 2023 06:00:00 -0000

ros-humble-ament-cmake-nose (1.3.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 22 Jun 2023 05:00:00 -0000

ros-humble-ament-cmake-nose (1.3.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 05:00:00 -0000

ros-humble-ament-cmake-nose (1.3.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-ament-cmake-nose (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 May 2022 05:00:00 -0000

ros-humble-ament-cmake-nose (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-ament-cmake-nose (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 06:00:00 -0000

ros-humble-ament-cmake-nose (1.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-ament-cmake-nose (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Support commands with executable targets (#352 <https://github.com/ament/ament_cmake/issues/352>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 05:00:00 -0000

ros-humble-ament-cmake-nose (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 05:00:00 -0000

ros-humble-ament-cmake-nose (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 06:00:00 -0000

ros-humble-ament-cmake-nose (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 04:59:00 -0000

ros-humble-ament-cmake-nose (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 01:12:00 -0000

ros-humble-ament-cmake-nose (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 06:00:00 -0000

ros-humble-ament-cmake-nose (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-ament-cmake-nose (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-ament-cmake-nose (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 06:00:00 -0000

ros-humble-ament-cmake-nose (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (1.0.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Jun 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 19 May 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 05:00:00 -0000

ros-humble-ament-cmake-nose (0.9.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 20:45:00 -0000

ros-humble-ament-cmake-nose (0.9.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 17:25:00 -0000

ros-humble-ament-cmake-nose (0.8.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.8.0-1jammy) jammy; urgency=high

  * Add 'runner' option to ament_add_gmock / nose (#177 <https://github.com/ament/ament_cmake/issues/177>)
    * Add 'runner' option to ament_add_gmock
    * Give ament_add_nose ability to specify a different runner, too
  * Contributors: Peter Baughman

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.7.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.7.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.7.1-1jammy) jammy; urgency=high

  * Fix unused-arg check in ament_cmake packages: (#167 <https://github.com/ament/ament_cmake/issues/167>)
    Arguments to a macro are not variables, so it's not
    possible to do 'if(ARGN)' to check for arguments;
    however, copying ARGN to a variable works.
  * Contributors: jpsamper2009

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.7.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Apr 2019 05:00:00 -0000

ros-humble-ament-cmake-nose (0.6.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 06:00:00 -0000

ros-humble-ament-cmake-nose (0.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-humble-ament-cmake-nose (0.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 13 Jun 2018 05:00:00 -0000

ros-humble-ament-cmake-nose (0.4.0-1jammy) jammy; urgency=high

  * 0.0.3
  * Merge pull request #103 <https://github.com/ament/ament_cmake/issues/103> from ament/resolve_some_todos
    Resolve some todos
  * remove obsolete todos
  * Get nose tests to immediately print console output (#98 <https://github.com/ament/ament_cmake/issues/98>)
    This is useful for tests that timeout and get killed without an opportunity to print the console output that was captured
  * 0.0.2
  * Use python3-nose rosdep key. (#95 <https://github.com/ament/ament_cmake/issues/95>)
  * Merge pull request #86 <https://github.com/ament/ament_cmake/issues/86> from ament/remove_include
    remove unnecessary include
  * remove unnecessary include
  * Merge pull request #85 <https://github.com/ament/ament_cmake/issues/85> from ament/split_gtest_function
    Split ament_add_gtest function
  * add doc for SKIP_TEST
  * Skipped tests (#80 <https://github.com/ament/ament_cmake/issues/80>)
    * support skipping tests
    * add SKIP_TEST to ament_add_nose_test
    * use keyword args not positional
    * discard positional args after first
  * remove trailing whitespace
  * update schema url
  * add schema to manifest files
  * Windows python debug (#73 <https://github.com/ament/ament_cmake/issues/73>)
    * add python interpreter to nose test parameters
    * update doc
    * rename interpreter to executable and add doc
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * remove trailing spaces from comparisons, obsolete quotes and explicit variable expansion
  * require CMake 3.5
  * run nosetests with the python executable (#70 <https://github.com/ament/ament_cmake/issues/70>)
    * run nosetests with the python executable
    * comment to describe the source of the issue
    * fixup
  * Merge pull request #55 <https://github.com/ament/ament_cmake/issues/55> from ament/generator_expression
    allow tests with generator expression in the path
  * allow tests with generator expression in the path
  * Merge pull request #54 <https://github.com/ament/ament_cmake/issues/54> from ament/test_working_dir
    support WORKING_DIRECTORY in ament_add_nose_test
  * add WORKING_DIRECTORY to ament_add_nose_test
  * follow fixes from #52 <https://github.com/ament/ament_cmake/issues/52>
  * Merge pull request #52 <https://github.com/ament/ament_cmake/issues/52> from ament/add_test_append_env_option
    add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * add APPEND_ENV and APPEND_LIBRARY_DIRS options to ament_add_*test macros
  * Merge pull request #46 <https://github.com/ament/ament_cmake/issues/46> from ament/nosetest_prefix_testsuite
    use --xunit-prefix-with-testsuite-name option of upcoming nosetests version
  * use --xunit-prefix-with-testsuite-name option of upcoming nosetests version
  * Merge pull request #43 <https://github.com/ament/ament_cmake/issues/43> from ament/fix_build_with_spaces
    invoke nosetest through Python executable
  * invoke nosetest through Python executable
  * Merge pull request #37 <https://github.com/ament/ament_cmake/issues/37> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #36 <https://github.com/ament/ament_cmake/issues/36> from ament/version_less_cmake
    Use VERSION_LESS to test the Nose version
  * Use VERSION_LESS to test the Nose version
    VERSION_LESS is used for checking versions:
    http://cmake.org/cmake/help/v2.8.12/cmake.html#command:if
  * Merge pull request #33 <https://github.com/ament/ament_cmake/issues/33> from ament/nosetest_version
    determine nosetest version in CMake and use --xunit-testsuite-name when available
  * determine nosetest version in CMake and use --xunit-testsuite-name when available
  * Merge pull request #28 <https://github.com/ament/ament_cmake/issues/28> from ament/gtest_location
    fix location of gtest / gmock executables on Windows
  * add type as extension to test result files
  * fix name of nosetests output file
  * Merge pull request #19 <https://github.com/ament/ament_cmake/issues/19> from ament/improve_test_runner
    improve test runner
  * improve test runner
  * add explicit build type
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * update quoting of additional ament_add_test() arguments
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * deal with CMake double expansion
  * update cmake code style
  * add ament_cmake_environment_hooks
  * add ament_cmake_test, ament_cmake_gtest, ament_cmake_nose
  * Contributors: Dirk Thomas, Esteve Fernandez, Mikael Arguedas, Steven! Ragnarök, William Woodall, dhood

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


